Name:                oscap-anaconda-addon
Version:             1.2.1
Release:             1
Summary:             Anaconda addon integrating OpenSCAP to the installation process
License:             GPLv2+
URL:                 https://github.com/OpenSCAP/oscap-anaconda-addon
Source0:             https://github.com/OpenSCAP/%{name}/releases/download/r%{version}/%{name}-%{version}.tar.gz

BuildArch:           noarch
BuildRequires:       gettext python3-devel python3-pycurl python3-mock python3-pytest python3-cpio
BuildRequires:       openscap openscap-utils openscap-python3 anaconda >= 28.22
Requires:            anaconda >= 28.22 python3-cpio openscap openscap-utils openscap-python3

%description
This is an addon that integrates OpenSCAP utilities with the Anaconda installer
and allows installation of systems following restrictions given by a SCAP
content.

%prep
%autosetup -p1

%build

%check

%install
make install DESTDIR=%{buildroot}
%find_lang %{name}

%files -f %{name}.lang
%{_datadir}/anaconda/addons/org_fedora_oscap
%doc COPYING ChangeLog README.md

%changelog
* Wed Oct 25 2023 yaoxin <yao_xin001@hoperun.com> - 1.2.1-1
- Upgrade to 1.2.1

* Sat May 07 2022 gaihuiying <eaglegai@163.com> - 1.0-4
- Updated the build system to use pytest for tests

* Mon Apr 20 2020 Shuaishuai Song <songshuaishuai2@huawei.com> - 1.0-3
- package init
